Bug 1030095 - Platform Utilization portlet does not work with large systems
Platform Utilization portlet does not work with large systems
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Content (Show other bugs)
JON 3.1.2
Unspecified Unspecified
unspecified Severity low
: ER02
: JON 3.3.0
Assigned To: RHQ Project Maintainer
Armine Hovsepyan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 17:19 EST by Peter Larsen
Modified: 2015-09-02 20:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:05:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Larsen 2013-11-13 17:19:13 EST
Description of problem:

The portlet/report "Platform Utilization" that shows cpu/memory/swap utilization across all nodes, fails to work once you have more than a few dosin nodes. At best you get time outs, at worst it hangs the whole UI for minutes until you get a popup with "unknown error".

The results needs to be pre-calculated before the report is done, and the results should be filterable by groups for dash-board use. I propose adding a limit of 10 or 20 servers in the current version to avoid having this problem.

How reproducible:

Every time.

Have a system with 50+ hosts in the inventory. Go to reports and choose "Platform Utilization" or add the "Platform Utilization" portlet to a dashboard.

Actual results:
No display

Expected results:
List of platforms and a graphical utilization image per host. 

Additional info:
Comment 1 Jay Shaughnessy 2014-09-04 22:51:41 EDT
I think this was fixed in 3.2 with the work for Bug 872731.  Setting to ON_QA if the team wants to test this use case, or close as desired.
Comment 2 Jan Bednarik 2014-09-12 05:17:55 EDT
Moving to VERIFIED.

I tested this BZ using 2 scenarios. 

In the first one more then 50 mock platforms were added to the inventory -> the UI displayed the Platform Utilization portlet with no error.

The second scenario used slow agent by disabling TCP connection using firewall (see BZ 872731) -> The UI did not lag nor it showed any error message. After each refresh the ERROR message (...Failed to send command...) is logged in server.log

Version:3.3.0.ER02
Build Number:4fbb183:7da54e2

Note You need to log in before you can comment on or make changes to this bug.